import request from "@/utils/request";

// 查询安全隐患统计列表
export function listCounty(query) {
  return request({
    url: "/zongzhi/county/list",
    method: "get",
    params: query,
  });
}

// 查询安全隐患统计详细
export function getCounty(id) {
  return request({
    url: "/zongzhi/county/" + id,
    method: "get",
  });
}

// 新增安全隐患统计
export function addCounty(data) {
  return request({
    url: "/zongzhi/county",
    method: "post",
    data: data,
  });
}

// 修改安全隐患统计
export function updateCounty(data) {
  return request({
    url: "/zongzhi/county",
    method: "put",
    data: data,
  });
}

// 删除安全隐患统计
export function delCounty(id) {
  return request({
    url: "/zongzhi/county/" + id,
    method: "delete",
  });
}

// 导出安全隐患统计
export function exportCounty(data) {
  return request({
    url: "/zongzhi/county/export",
    method: "post",
    data,
  });
}
